curl --request POST \
--url https://backend.tensorpix.ai/api/v2/real-estate/projects/{project_id}/background-music/ \
--header 'Authorization: <api-key>' \
--header 'Content-Type: multipart/form-data' \
--form 'file=<string>'import requests
url = "https://backend.tensorpix.ai/api/v2/real-estate/projects/{project_id}/background-music/"
payload = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"\r\n\r\n<string>\r\n-----011000010111000001101001--"
headers = {
"Authorization": "<api-key>",
"Content-Type": "multipart/form-data"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
const options = {method: 'POST', headers: {Authorization: '<api-key>'}};
options.body = form;
fetch('https://backend.tensorpix.ai/api/v2/real-estate/projects/{project_id}/background-music/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"file": "<string>",
"duration_s": 123,
"file_size": 123,
"bitrate": 123,
"sample_rate": 123,
"channels": 123
}{
"detail": "<unknown>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Upload real estate background music
Upload one audio file and select it as music for one owned project.
Authorizations
Token-based authentication with required prefix "Token"
Path Parameters
Body
Serializer for uploading new background music audio assets.
Audio file stored on S3. Pre-signed URL may expire. To generate a new URL, call the endpoint again. If the field is null, the audio hasn't been completely uploaded.
Response
Serializer for AudioAsset with basic fields.
Human-readable asset name.
Datetime when the record was created.
Audio file stored on S3. Pre-signed URL may expire. To generate a new URL, call the endpoint again. If the field is null, the audio hasn't been completely uploaded.
Audio duration in seconds.
File size in bytes.
Audio bitrate in bits per second.
Audio sample rate in Hz (e.g., 44100, 48000).
Number of audio channels (1=mono, 2=stereo, etc.).
Was this page helpful?